<?php

	define('APS_DEVELOPMENT_MODE', true);
	require "aps/2/runtime.php";	

	/**
	 * Class cloud presents application and its global parameters
	 * @type("http://aps-standard.org/samples/event-mgmt/cloud/1.0")
	 * @implements("http://aps-standard.org/types/core/application/1.0","http://odin.com/init-wizard/config/1.0")
	 */
	class cloud extends APS\ResourceBase {
	   # Link to collection of contexts. Pay attention to [] brackets at the end of the @link line.
	   /**
	    * @link("http://aps-standard.org/samples/event-mgmt/context/1.0[]")
	    */
	   public $contexts;
	   
	   /**
	    * @link("http://aps-standard.org/samples/event-mgmt/offer/1.0[]")
	    */
	   public $offers;

	   /**
	    * @verb(GET)
	    * @path("/getInitWizardConfig")
	    * @access(admin, true)
	    * @access(owner, true)
	    * @access(referrer, true)
	    */
	   public function getInitWizardConfig()
	   {
		   	$myfile = fopen("./wizard_data.json", "r") or die("Unable to open file!");
		   	$data = fread($myfile,filesize("./wizard_data.json"));
		   	fclose($myfile);
		   	return json_decode($data);
	   }
	   	
	   /**
	    * @verb(GET)
	    * @path("/testConnection")
	    * @param(object,body)
	    * @access(admin, true)
	    * @access(owner, true)
	    * @access(referrer, true)
	    */
	   public function testConnection($body)
	   {
	   		return "";
	   }
	   
	}
	
?>
