<?php

	define('APS_DEVELOPMENT_MODE', true);
	require "aps/2/runtime.php";	

	/**
	* Class context
	* @type("http://aps-standard.org/samples/event-mgmt/context/1.0")
	* @implements("http://aps-standard.org/types/core/subscription/service/1.0")
	*/
	
	class context extends \APS\ResourceBase
	{
	   ## Strong relation (link) to the application instance
	   /**
	   * @link("http://aps-standard.org/samples/event-mgmt/cloud/1.0")
	   * @required
	   */
	   public $cloud;
	
	   ## Weak relation (link) to collection of VPSes
	   /**
	    * @link("http://aps-standard.org/samples/event-mgmt/vps/1.0[]")
	    */
	   public $vpses;

	   ## Weak relation with the Event manager
	   /**
	    * @link("http://aps-standard.org/samples/event-mgmt/event/1.0")
	    */
	   public $event;
	}
?>
